%define module	pygraphviz
%define _exclude_files_from_autoprov %{python_sitearch}/.*\\.so

Summary:	Python interface to Graphviz
Name:		python-%{module}
Version:	1.3.1
Release:	%mkrel 1
Source0:	https://pypi.python.org/packages/source/p/%{module}/%{module}-%{version}.tar.gz
License:	BSD
Group:		Development/Python
Url:		https://networkx.lanl.gov/pygraphviz
Requires:	graphviz >= 2.0
BuildRequires:	graphviz-devel >= 2.0
BuildRequires:	python-devel 
BuildRequires:	python3-devel
BuildRequires:	python-sphinx
Recommends:	%{name}-doc

%description
PyGraphviz is a Python interface to the Graphviz graph layout and
visualization package.

With PyGraphviz, you can create, edit, read, write, and draw graphs
using Python to access the Graphviz graph data structure and layout
algorithms.

This package contains the version for Python 2.

%package doc
Summary:	Documentation for pygraphviz 
Group:		Development/Python
BuildArch:	noarch
Requires:	%{name} = %{version}-%{release}

%description doc
This package contains documentation for PyGraphviz,
a Python interface to the Graphviz graph layout and
visualization package.


%package -n python3-pygraphviz
Summary:        Create and Manipulate Graphs and Networks
Requires:       python-graphviz
Recommends:     %{name}-doc

%description -n python3-pygraphviz
PyGraphviz is a Python interface to the Graphviz graph layout and
visualization package.

With PyGraphviz, you can create, edit, read, write, and draw graphs
using Python to access the Graphviz graph data structure and layout
algorithms.

This package contains the version for Python 3.

%prep
%setup -q -n %{module}-%{version}


%build
%py2_build
%py3_build

#docs
%{__python2} setup.py build_ext -i
make %{?_smp_mflags} -C doc html PYTHONPATH=..


%install
%py2_install
%py3_install
mv %{buildroot}%{_docdir}/pygraphviz-* %{buildroot}%{_pkgdocdir}
%__rm -rf %{buildroot}%{_defaultdocdir}/%{module}-%{version}


%files
%{python2_sitearch}/*


%files doc
%doc doc/build/html examples


%files -n python3-pygraphviz
%{python3_sitearch}/*


%changelog
* Mon Apr 25 2016 philippem <philippem> 1.3.1-1.mga6
+ Revision: 1006069
- update to 1.3.1, put doc in subpackage

* Tue Feb 16 2016 umeabot <umeabot> 1.3-0.2.rc3.mga6
+ Revision: 962406
- Mageia 6 Mass Rebuild

* Wed Oct 07 2015 tv <tv> 1.3-0.2.rc2.mga6
+ Revision: 886733
- rebuild for python 3.5

* Sat Aug 29 2015 tv <tv> 1.3-0.1.rc2.mga6
+ Revision: 870829
- new version
- add python3 support
- fix doc build

* Wed Oct 15 2014 umeabot <umeabot> 1.2-7.mga5
+ Revision: 740304
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 1.2-6.mga5
+ Revision: 729460
- rebuild for missing pythoneggs deps

  + umeabot <umeabot>
    - Mageia 5 Mass Rebuild

  + pterjan <pterjan>
    - Rebuild for new Python

* Tue Oct 22 2013 umeabot <umeabot> 1.2-3.mga4
+ Revision: 543919
- Mageia 4 Mass Rebuild

* Tue Oct 15 2013 pterjan <pterjan> 1.2-2.mga4
+ Revision: 499217
- Rebuild to add different pythonegg provides for python 2 and 3

* Thu Aug 29 2013 philippem <philippem> 1.2-1.mga4
+ Revision: 472890
- remove no need examples
- update to 1.2

* Sun Jan 13 2013 umeabot <umeabot> 1.1-4.mga3
+ Revision: 379361
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Dec 02 2012 kamil <kamil> 1.1-3.mga3
+ Revision: 324745
- rebuild for Mga3 Beta1

* Sun Aug 19 2012 kamil <kamil> 1.1-2.mga3
+ Revision: 282125
- adapt for Mageia
- imported package python-pygraphviz


* Wed Jun 01 2011 Lev Givon <lev@mandriva.org> 1.1-1mdv2011.0
+ Revision: 682332
- Update to 1.1.

* Thu May 12 2011 Lev Givon <lev@mandriva.org> 1.1-0.rc1.1
+ Revision: 673900
- Update to 1.1rc1.

* Wed May 11 2011 Funda Wang <fwang@mandriva.org> 1.0-0.rc6.1
+ Revision: 673621
- add source
- rebuild for new graphviz

* Mon Nov 08 2010 Funda Wang <fwang@mandriva.org> 1.0-0.rc5.1mdv2011.0
+ Revision: 594961
- BR python devel
- rebuild

* Fri Jul 30 2010 Lev Givon <lev@mandriva.org> 1.0-0.rc5mdv2011.0
+ Revision: 563641
- Update to 1.0rc5.

* Tue Sep 15 2009 Thierry Vignaud <tv@mandriva.org> 0.99.1-3mdv2010.0
+ Revision: 442429
- rebuild

* Sun Dec 28 2008 Funda Wang <fwang@mandriva.org> 0.99.1-2mdv2009.1
+ Revision: 320200
- fix str fmt
- rebuild for new python

* Sun Dec 14 2008 Lev Givon <lev@mandriva.org> 0.99.1-1mdv2009.1
+ Revision: 314214
- Update to 0.99.1.

* Mon Jul 07 2008 Lev Givon <lev@mandriva.org> 0.36-1mdv2009.0
+ Revision: 232507
- import python-pygraphviz


* Mon Jul 7 2008 Lev Givon <lev@mandriva.org> 0.36-1mdv2008.1
- Package for Mandriva.
